=== debian/changelog ===
cambalache (0.94.1-2) unstable; urgency=medium

  * Install all files in single binary package (Closes: #1095742) 
  * Update standards version to 4.7.1

 -- Jonathan Carter <jcc@debian.org>  Tue, 11 Feb 2025 18:50:53 +0200

cambalache (0.94.1-1) unstable; urgency=medium

  * Initial release. (Closes: #1084792)

 -- Jonathan Carter <jcc@debian.org>  Tue, 07 Jan 2025 12:34:46 +0200
