=== debian/control ===
Source: cambalache
Section: gnome
Priority: optional
Maintainer: Jonathan Carter <jcc@debian.org>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-sequence-pkgkde-symbolshelper,
               appstream,
	       cmake,
	       desktop-file-utils,
               libadwaita-1-dev,
               libcasilda-dev,
               libgtk-3-dev,
               libgtk-4-dev,
	       libgtk-3-bin,
	       libgtk-4-bin,
               libgtksourceview-5-dev,
               libhandy-1-dev,
               libwebkit2gtk-4.1-dev,
               libwebkitgtk-6.0-dev,
	       libwlroots-0.18,
	       libwlroots-0.18-dev,
	       libwayland-client0,
	       libxkbcommon-x11-dev,
	       gobject-introspection,
               meson,
               ninja-build,
               python-gi-dev,
	       python3,
               python3-dev,
               python3-lxml
Standards-Version: 4.7.1
Homepage: https://gitlab.gnome.org/jpu/cambalache.git
Vcs-Browser: https://salsa.debian.org/debian/cambalache
Vcs-Git: https://salsa.debian.org/debian/cambalache.git

Package: cambalache
Breaks: gir1.2-cambalacheprivate-4.0,
        gir1.2-cambalacheprivate-4.0-dev,
        gir1.2-cambalacheprivate-3.0,
        gir1.2-cambalacheprivate-3.0-dev,
	gir1.2-cmbcatalogutils-3.0,
	gir1.2-cmbcatalogutils-3.0-dev,
	gir1.2-cmbcatalogutils-4.0,
	gir1.2-cmbcatalogutils-4.0-dev,
	libcambalacheprivate-3,
	libcambalacheprivate-4,
	libcmbcatalogutils-3,
	libcmbcatalogutils-4
Replaces: gir1.2-cambalacheprivate-4.0,
          gir1.2-cambalacheprivate-4.0-dev,
          gir1.2-cambalacheprivate-3.0,
          gir1.2-cambalacheprivate-3.0-dev,
          gir1.2-cmbcatalogutils-3.0,
          gir1.2-cmbcatalogutils-3.0-dev,
          gir1.2-cmbcatalogutils-4.0,
          gir1.2-cmbcatalogutils-4.0-dev,
          libcambalacheprivate-3,
          libcambalacheprivate-4,
          libcmbcatalogutils-3,
          libcmbcatalogutils-4
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
         python3
Description: User Interface builder for Gtk4 
 RAD tool for Gtk 4 and 3 with a clear MVC design
 and data model first philosophy.
 .
 Cambalache aims to be a modern tool for building
 Gtk+ interfaces.
