=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_build:
	mkdir _build
	meson setup --prefix=/usr _build
	meson compile -C _build
	meson install --destdir usr -C _build
	rm -rf _build/usr/usr/lib/python3/dist-packages/cambalache/app/__pycache__ \
	       _build/usr/usr/lib/python3/dist-packages/cambalache/control/__pycache__ \
	       _build/usr/usr/lib/python3/dist-packages/cambalache/priv/merengue/__pycache__ \
	       _build/usr/usr/lib/python3/dist-packages/cambalache/priv/merengue/mrg_adw/__pycache__ \
	       _build/usr/usr/lib/python3/dist-packages/cambalache/priv/merengue/mrg_gtk/__pycache__ \
	       _build/usr/usr/lib/python3/dist-packages/cambalache/priv/merengue/mrg_handy/__pycache__ \
	       _build/usr/usr/lib/python3/dist-packages/cambalache/priv/merengue/mrg_webkit/__pycache__ \
	       _build/usr/usr/lib/python3/dist-packages/cambalache/priv/merengue/mrg_webkit2/__pycache__ \
	       _build/usr/usr/lib/python3/dist-packages/cmb_catalog_gen/__pycache__/ \
	       _build/usr/usr/lib/python3/dist-packages/cambalache/__pycache__/
	cp -r _build/usr/usr .

override_dh_auto_install:


override_dh_clean:
	rm -rf _build usr
