=== debian/changelog ===
cambalache (0.96.0-1~exp1) experimental; urgency=medium

  * New upstream release (Closes: #1103986) 
  * Add python-gi-dev as build-dependency
  * Add python3-gi as dependency

 -- Jonathan Carter <jcc@debian.org>  Fri, 25 Apr 2025 11:13:02 +0200

cambalache (0.94.1-3) unstable; urgency=medium

  * Use pybuild, build-depend on dh-python, use ${python3:Depends} 
  * Add additional required dependencies (Closes #1095742):
    - gir1.2-gtksource-5
    - gir1.2-webkit-6.0
    - gir1.2-casilda-0.1
  * Update standards version to 4.7.2

 -- Jonathan Carter <jcc@debian.org>  Fri, 28 Mar 2025 15:32:33 +0200
