=== debian/control ===
--- 
+++ 
@@ -5,6 +5,7 @@
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-pkgkde-symbolshelper,
+	       dh-python,
                appstream,
 	       cmake,
 	       desktop-file-utils,
@@ -15,6 +16,7 @@
 	       libgtk-3-bin,
 	       libgtk-4-bin,
                libgtksourceview-5-dev,
+	       python-gi-dev (>=3.52),
                libhandy-1-dev,
                libwebkit2gtk-4.1-dev,
                libwebkitgtk-6.0-dev,
@@ -29,7 +31,7 @@
 	       python3,
                python3-dev,
                python3-lxml
-Standards-Version: 4.7.1
+Standards-Version: 4.7.2
 Homepage: https://gitlab.gnome.org/jpu/cambalache.git
 Vcs-Browser: https://salsa.debian.org/debian/cambalache
 Vcs-Git: https://salsa.debian.org/debian/cambalache.git
@@ -60,8 +62,12 @@
           libcmbcatalogutils-3,
           libcmbcatalogutils-4
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends},
-         python3
+Depends: ${misc:Depends}, ${shlibs:Depends}, ${python3:Depends},
+         python3,
+	 python3-gi (>=3.52),
+	 gir1.2-gtksource-5,
+	 gir1.2-webkit-6.0,
+	 gir1.2-casilda-0.1
 Description: User Interface builder for Gtk4 
  RAD tool for Gtk 4 and 3 with a clear MVC design
  and data model first philosophy.
