## cambalache 0.97.7

=== Makefile ===
--- 
+++ 
@@ -1,11 +1,22 @@
+cambalache.flatpak: repo
+	flatpak build-bundle repo $@ ar.xjuan.Cambalache
+
 repo: ar.xjuan.Cambalache.json .git/objects
 	flatpak remote-add --user --if-not-exists flathub https://dl.flathub.org/repo/flathub.flatpakrepo
 	flatpak install --noninteractive --user flathub org.gnome.Sdk//48
 	flatpak install --noninteractive --user flathub org.gnome.Platform//48
 	flatpak-builder --force-clean --repo=repo build ar.xjuan.Cambalache.json
 
-cambalache.flatpak: repo
-	flatpak build-bundle repo cambalache.flatpak ar.xjuan.Cambalache
+
+cambalache_arm.flatpak: repo_arm
+	flatpak build-bundle --arch=aarch64 repo $@ ar.xjuan.Cambalache
+
+repo_arm: ar.xjuan.Cambalache.json .git/objects
+	flatpak remote-add --user --if-not-exists flathub https://dl.flathub.org/repo/flathub.flatpakrepo
+	flatpak install --noninteractive --user flathub org.gnome.Sdk/aarch64/48
+	flatpak install --noninteractive --user flathub org.gnome.Platform/aarch64/48
+	flatpak-builder --arch=aarch64 --force-clean --repo=repo build ar.xjuan.Cambalache.json
+
 
 .PHONY: install clean veryclean
