## cambalache 0.99.4

=== catalogs/Makefile ===
--- 
+++ 
@@ -1,6 +1,9 @@
 CMB_CATALOG_GEN=flatpak run --devel \
 	--command=cmb-catalog-gen \
 	ar.xjuan.Cambalache
+
+# Uncomment to run with local copy
+# CMB_CATALOG_GEN=PYTHONPATH=../tools/ ../.local/bin/cmb-catalog-gen
 
 BASE_CATALOG_FILES = \
 	glib/gobject-2.0.xml \
@@ -77,6 +80,7 @@
 
 gtk/gdk-3.0.xml:
 	${CMB_CATALOG_GEN} \
+		--gtk-version=3 \
 		--dependencies pango-1.0 gdkpixbuf-2.0 \
 		--gir /usr/share/gir-1.0/Gdk-3.0.gir \
 		--boxed-types GdkColor GdkRGBA \
@@ -85,16 +89,17 @@
 
 gtk/gdk-4.0.xml:
 	${CMB_CATALOG_GEN} \
-		--target-gtk4 \
+		--gtk-version=4 \
 		--dependencies pango-1.0 gdkpixbuf-2.0 \
 		--gir /usr/share/gir-1.0/Gdk-4.0.gir \
 		--boxed-types GdkRGBA GdkContentFormats\
+		--types GdkPaintable \
 		--exclude-objects \
 		--output $@
 
 gtk/gsk-4.0.xml:
 	${CMB_CATALOG_GEN} \
-		--target-gtk4 \
+		--gtk-version=4 \
 		--dependencies pango-1.0 gdkpixbuf-2.0 \
 		--gir /usr/share/gir-1.0/Gsk-4.0.gir \
 		--boxed-types GskTransform \
@@ -103,6 +108,7 @@
 
 gtk/gtk+-3.0.xml: gtk/Gtk.xml ${GTK3_DEPS}
 	${CMB_CATALOG_GEN} \
+		--gtk-version=3 \
 		--dependencies atk-1.0 gdk-3.0 \
 		--gir /usr/share/gir-1.0/Gtk-3.0.gir \
 		--external-catalogs ${GTK3_DEPS} \
@@ -111,7 +117,7 @@
 
 gtk/gtk-4.0.xml: gtk/Gtk.xml ${GTK4_DEPS}
 	${CMB_CATALOG_GEN} \
-		--target-gtk4 \
+		--gtk-version=4 \
 		--dependencies gdk-4.0 gsk-4.0 \
 		--gir /usr/share/gir-1.0/Gtk-4.0.gir \
 		--external-catalogs ${GTK4_DEPS} \
@@ -121,6 +127,7 @@
 
 gnome/libhandy-1.xml: gtk/gtk+-3.0.xml
 	${CMB_CATALOG_GEN} \
+		--gtk-version=3 \
 		--dependencies gtk+-3.0 \
 		--gir /usr/share/gir-1.0/Handy-1.gir \
 		--external-catalogs ${GTK3_DEPS} gtk/gtk+-3.0.xml \
@@ -130,6 +137,7 @@
 
 gnome/webkit2gtk-4.1.xml: gtk/gtk+-3.0.xml
 	${CMB_CATALOG_GEN} \
+		--gtk-version=3 \
 		--dependencies gtk+-3.0 \
 		--gir /usr/share/gir-1.0/WebKit2-4.1.gir \
 		--external-catalogs ${GTK3_DEPS} gtk/gtk+-3.0.xml \
@@ -140,17 +148,17 @@
 
 gnome/libadwaita-1.xml: gtk/gtk-4.0.xml
 	${CMB_CATALOG_GEN} \
-		--target-gtk4 \
+		--gtk-version=4 \
 		--dependencies gtk-4.0 \
 		--gir /usr/share/gir-1.0/Adw-1.gir \
 		--external-catalogs ${GTK4_DEPS} gtk/gtk-4.0.xml \
 		--extra-data gnome/Adwaita.xml \
-		--skip-types AdwAnimation AdwSwipeTracker AdwPropertyAnimationTarget \
+		--skip-types AdwAnimation \
 		--output $@
 
 gnome/webkitgtk-6.0.xml: gtk/gtk-4.0.xml
 	${CMB_CATALOG_GEN} \
-		--target-gtk4 \
+		--gtk-version=4 \
 		--dependencies gtk-4.0 \
 		--gir /usr/share/gir-1.0/WebKit-6.0.gir \
 		--external-catalogs ${GTK4_DEPS} gtk/gtk-4.0.xml \
