=== debian/changelog ===
cambalache (0.99.4-1build1) resolute; urgency=medium

  * Rebuild

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 08 Dec 2025 11:27:42 -0500

cambalache (0.99.4-1) unstable; urgency=medium

  * New upstream release (Closes: #1120110)
  * Add python3-lxml as dependency for cambalache (Closes: #1111456) 

 -- Jonathan Carter <jcc@debian.org>  Sun, 30 Nov 2025 12:46:15 +0200

cambalache (0.99.1-1) unstable; urgency=medium

  * New upstream release

 -- Jonathan Carter <jcc@debian.org>  Thu, 23 Oct 2025 12:25:53 +0200

cambalache (0.97.7-1) unstable; urgency=medium

  * New upstream release
  * Upload to unstable
  * Bump dependency gir1.2-casilda-0.1 to gir1.2-casilda-0.2
  * Add dependencies: gir1.2-adw-1, libadwaita-1-0
    (Closes: #1110742)

 -- Jonathan Carter <jcc@debian.org>  Wed, 13 Aug 2025 14:09:02 +0200
