=== debian/control ===
--- 
+++ 
@@ -65,9 +65,12 @@
 Depends: ${misc:Depends}, ${shlibs:Depends}, ${python3:Depends},
          python3,
 	 python3-gi (>=3.52),
+	 python3-lxml,
+	 libadwaita-1-0,
+	 gir1.2-adw-1,
 	 gir1.2-gtksource-5,
 	 gir1.2-webkit-6.0,
-	 gir1.2-casilda-0.1
+	 gir1.2-casilda-1.0
 Description: User Interface builder for Gtk4 
  RAD tool for Gtk 4 and 3 with a clear MVC design
  and data model first philosophy.
